Loading...
Searching...
No Matches
juce::InputSource Class Referenceabstract

`#include <juce_InputSource.h>`

Inheritance diagram for juce::InputSource:

## Public Member Functions

virtual | ~InputSource ()=default
virtual InputStream * | createInputStream ()=0
virtual InputStream * | createInputStreamFor (const String &relatedItemPath)=0
virtual int64 | hashCode () const =0

## Detailed Description

A lightweight object that can create a stream to read some kind of resource.

This may be used to refer to a file, or some other kind of source, allowing a caller to create an input stream that can read from it when required.

See also
  FileInputSource

Definition at line 37 of file juce_InputSource.h.

## Constructor & Destructor Documentation

## ~InputSource()

virtual juce::InputSource::~InputSource | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## createInputStream()

virtual InputStream * juce::InputSource::createInputStream | ( |  | ) |

pure virtual

Returns a new InputStream to read this item.

Returns
  an inputstream that the caller will delete, or nullptr if the filename isn't found.

Implemented in juce::AndroidDocumentInputSource, juce::FileInputSource, and juce::URLInputSource.

## createInputStreamFor()

virtual InputStream * juce::InputSource::createInputStreamFor | ( | const String & | relatedItemPath | ) |

pure virtual

Returns a new InputStream to read an item, relative.

Parameters

  relatedItemPath | the relative pathname of the resource that is required

Returns
  an inputstream that the caller will delete, or nullptr if the item isn't found.

Implemented in juce::AndroidDocumentInputSource, juce::FileInputSource, and juce::URLInputSource.

## hashCode()

virtual int64 juce::InputSource::hashCode | ( |  | ) | const

pure virtual

Returns a hash code that uniquely represents this item.

Implemented in juce::AndroidDocumentInputSource, juce::FileInputSource, and juce::URLInputSource.

The documentation for this class was generated from the following file:

- juce_InputSource.h